Inhalte
Index 🔎︎

# Funktion UBound

Gibt die obere Begrenzung eines Arrays zurück.

### Syntax:

    UBound (ArrayName [, Dimension])

### Rückgabewert:

Long

### Parameter:

ArrayName: Der Name des Arrays, dessen obere (UBound) oder untere (LBound) Begrenzung Sie bestimmen möchten.

[Dimension]: Integer-Wert, der angibt, für welche Dimension die obere (UBound) oder untere (LBound) Begrenzung zurückgegeben werden soll. Wenn Sie hier keinen Wert angeben, wird die Begrenzung der ersten Dimension zurückgegeben.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

9 Index außerhalb des definierten Bereichs

### Beispiel:

    Sub VectorBounds
        Dim v(10 To 20) As String
        Print LBound(v()) ' 10
        Print UBound(v) ' 20
    End Sub

    Sub TableBounds
        Dim t(10 To 20,-5 To 70) As Currency
        Print LBound(t), UBound(t()) ' 10  20
        Print LBound(t(),2) ' -5
        Print UBound(t,2) ' 70
    End Sub